POST/shorts.v1alpha1.PoliticiansService/ComparePoliticians

ComparePoliticians

Neutral, symmetric comparison of two politician register summaries.

Parameters

Connect-Protocol-VersionheaderRequired
number [1]

Define the version of the Connect protocol

Connect-Timeout-Msheader
number

Define the timeout, in ms

Request Body

application/json
object
slugAstring

(proto string)

slugBstring

(proto string)

Responses

200Success
application/json
object
aobject

(proto shorts.v1alpha1.PoliticianSummary)

changes90dinteger <int32>

(proto int32)

distinctCompanyCountinteger <int32>

(proto int32)

giftsTravelCountinteger <int32>

(proto int32)

liabilityCountinteger <int32>

(proto int32)

propertyCountinteger <int32>

(proto int32)

undatedCountinteger <int32>

(proto int32)

asAtstring <date-time>

(proto google.protobuf.Timestamp)

bobject

(proto shorts.v1alpha1.PoliticianSummary)

changes90dinteger <int32>

(proto int32)

distinctCompanyCountinteger <int32>

(proto int32)

giftsTravelCountinteger <int32>

(proto int32)

liabilityCountinteger <int32>

(proto int32)

propertyCountinteger <int32>

(proto int32)

undatedCountinteger <int32>

(proto int32)

extractedParliamentsAarray

(proto int32)

Array Items:
integer <int32>
extractedParliamentsBarray

(proto int32)

Array Items:
integer <int32>
holderCountsAarray

(proto shorts.v1alpha1.RegisterHolderCount)

Array Items:
holderCountsBarray

(proto shorts.v1alpha1.RegisterHolderCount)

Array Items:
onlyACompaniesarray

(proto shorts.v1alpha1.PoliticianOnlyCompany)

Array Items:
onlyAMoreinteger <int32>

(proto int32)

onlyBCompaniesarray

(proto shorts.v1alpha1.PoliticianOnlyCompany)

Array Items:
onlyBMoreinteger <int32>

(proto int32)

partialParliamentsAarray

(proto int32)

Array Items:
integer <int32>
partialParliamentsBarray

(proto int32)

Array Items:
integer <int32>
pendingParliamentsAarray

(proto int32)

Array Items:
integer <int32>
pendingParliamentsBarray

(proto int32)

Array Items:
integer <int32>
sharedCompaniesarray

(proto shorts.v1alpha1.SharedDeclaredCompany)

Array Items:
sourceLicencestring

(proto string)

defaultError
application/json
object

Error type returned by Connect: https://connectrpc.com/docs/go/errors/#http-representation

codestring [canceled, unknown, invalid_argument, deadline_exceeded, not_found, already_exists, permission_denied, resource_exhausted, failed_precondition, aborted, out_of_range, unimplemented, internal, unavailable, data_loss, unauthenticated]

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

detailsarray

A list of messages that carry the error details. There is no limit on the number of messages.

Array Items:
messagestring

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

curl -X POST "https://api.shorted.com.au/shorts.v1alpha1.PoliticiansService/ComparePoliticians" \
  -H "Content-Type: application/json" \
  -d '{
  "slugA": "string",
  "slugB": "string"
}'